![Novaconium PHP](/_assets/novaconium-logo.png)

# Novaconium PHP:  A PHP Framework Built from the Past

NovaconiumPHP is a high-performance PHP framework designed with inspiration from classic coding principles. 

Pronounced: Noh-vah-koh-nee-um

Packagist: https://packagist.org/packages/4lt/novaconium 
Master Repo: https://git.4lt.ca/4lt/novaconium

## Getting Started

Installation is using the composer docker container. If you are using native composer, replace the docker line with: ```composer require 4lt/novaconium```.

```bash
mkdir project_name;
cd project_name;

docker run --rm --interactive --tty --volume $PWD:/app composer:latest require 4lt/novaconium

cp -R vendor/4lt/novaconium/defaults/App/ .
cp -R vendor/4lt/novaconium/defaults/public/ .
```
## APP Database config

Open the /App/config.php file and change the database section to match the above:

```php
'database' => [ 
        'host' => 'mariadb',
        'name' => 'mydb',
        'user' => 'dbuser',
        'pass' => 'AlsoChangeThisPassword0123456789',
        'port' => 3306
    ],
```

## Documentation

* [Novaconiumm Official Repo](https://git.4lt.ca/4lt/novaconium)
* [CORXN Apache and PHP Container for Novaconium](https://git.4lt.ca/4lt/CORXN)
